import 'package:flutter/material.dart';

enum Languages { english, arabic }

String networkImageTest =
    "public/images/jcjxzIQCgFSHW9j5Tu1JBgvAkQqIGOC9qmeUatzY.jpg";

extension Code on Languages {
  String get code {
    switch (this) {
      case Languages.english:
        return 'en';
      case Languages.arabic:
        return 'ar';
    }
  }
}

class AppColors {
  static Color sentMessageColor = const Color(0xff7986ca);
  static Color primeColor = const Color(0xff7986ca);
  static Color textButtonColor = const Color(0xff484848);
  static Color textColor = Colors.black;
  static Color borderColor = const Color(0xffD9D9D9);
  static Color backGroundColor = const Color(0xffF5F5F5);
  static Color dividerColor = const Color(0xffECECEC);
  static Color textMessageColor = const Color(0xff4E5D78);
  static Color timeMessageColor = const Color(0xff9FA6B5);
  static Color secondaryColor = const Color(0xff44bee8);
  static Color tailAuthColor = secondaryColor;
  static Color emailColor = const Color(0xff76BAD0);
  static Color callColor = const Color(0xff76D095);
  static Color messageColor = const Color(0xff4E5D78);
  static Color circleAvatarColor = const Color(0xffE7E7E7);
  static Color borderTextFiled = const Color(0xffC2B55B);
  static Color redColor = const Color(0xffFF8078);
  // yellow pages colors
  // static Color sentMessageColor = const Color(0xffDAC439);
  // static Color primeColor = const Color(0xffFFEF99);
  // static Color tailAuthColor = const Color(0xffFEE64B);
  // static Color textButtonColor = const Color(0xff484848);
  // static Color textColor = const Color(0xff666666);
  // static Color borderColor = const Color(0xffD9D9D9);
  // static Color backGroundColor = const Color(0xffF5F5F5);
  // static Color dividerColor = const Color(0xffECECEC);
  // static Color textMessageColor = const Color(0xff4E5D78);
  // static Color timeMessageColor = const Color(0xff9FA6B5);
  // static Color secondaryColor = const Color(0xffFFCB45);
  // static Color emailColor = const Color(0xff76BAD0);
  // static Color callColor = const Color(0xff76D095);
  // static Color messageColor = const Color(0xff4E5D78);
  // static Color circleAvatarColor = const Color(0xffE7E7E7);
  // static Color borderTextFiled = const Color(0xffC2B55B);
  // static Color redColor = const Color(0xffFF8078);
}

class AppFont {
  static String bold = 'bold';
  static String regular = 'regular';
  static String medium = 'medium';
}

class Domain {
  static String domain = 'https://taafi-back.point-dev.nl/storage/';
  static String chatFiles = 'https://taafi-back-chat.point-dev.nl/room/file/';
}

class Constants {
  static List<double> defaulWaveFormData = [
    0.0,
    0.3,
    0.0,
    0.20,
    0.3,
    0.8,
    0.20,
    0.3,
    0.20,
    0.1,
    0.3,
    0.8,
    0.20,
    0.3,
    0.8,
    0.20,
    0.3,
    0.8,
    0.20,
    0.3,
    0.0,
    0.3,
    0.20,
    0.1,
    0.3,
    0.0,
    0.20,
    0.3,
    0.8,
    0.20,
    0.3,
    0.20,
    0.1,
  ];
}

class Responsive {
  static bool isTablet() {
    final data = MediaQueryData.fromWindow(WidgetsBinding.instance.window);
    return data.size.shortestSide < 550 ? false : true;
  }
}
